aboutsummaryrefslogtreecommitdiffstats
path: root/testing/privoxy/privoxy.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/privoxy/privoxy.initd')
-rw-r--r--testing/privoxy/privoxy.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/privoxy/privoxy.initd b/testing/privoxy/privoxy.initd
new file mode 100644
index 0000000000..ef984ea3df
--- /dev/null
+++ b/testing/privoxy/privoxy.initd
@@ -0,0 +1,32 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-proxy/privoxy/files/privoxy.initd,v 1.2 2007/11/14 05:14:56 mrness Exp $
+
+CONFFILE=/etc/${SVCNAME}/config
+PIDFILE=/var/run/${SVCNAME}.pid
+
+depend() {
+ need net
+}
+
+start() {
+ if [ ! -f "${CONFFILE}" ]; then
+ eerror "Configuration file ${CONFFILE} not found!"
+ return 1
+ fi
+
+ ebegin "Starting privoxy"
+ start-stop-daemon --start --quiet --exec /usr/sbin/privoxy \
+ --pidfile "${PIDFILE}" \
+ -- \
+ --pidfile "${PIDFILE}" \
+ --user privoxy.privoxy "${CONFFILE}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping privoxy"
+ start-stop-daemon --stop --quiet --pidfile "${PIDFILE}"
+ eend $?
+}